View a markdown version of this page

SearchSpaces - Amazon Quick Sight

SearchSpaces

Searches for Amazon QuickSight spaces that match the specified filters.

Request Syntax

POST /v1/accounts/AwsAccountId/search/spaces HTTP/1.1 Content-type: application/json { "Filters": [ { "name": "string", "operator": "string", "value": "string" } ], "MaxResults": number, "NextToken": "string" }

URI Request Parameters

The request uses the following URI parameters.

AwsAccountId

The ID of the AWS account that contains the spaces.

Length Constraints: Fixed length of 12.

Pattern: ^[0-9]{12}$

Required: Yes

Request Body

The request accepts the following data in JSON format.

Filters

The filters to apply to the search.

Type: Array of SpaceQuicksightSearchFilter objects

Array Members: Minimum number of 1 item. Maximum number of 2 items.

Required: Yes

MaxResults

The maximum number of results to return.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 500.

Required: No

NextToken

The token for the next set of results, or null if there are no more results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 800.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "NextToken": "string", "RequestId": "string", "spaceArn": "string", "spaceId": "string", "SpaceSummaries": [ { "consumedSourceDocCount": number, "consumedSourceSize": number, "createdAt": number, "createdBy": "string", "createdByArn": "string", "description": "string", "name": "string", "resourcesCount": number, "spaceArn": "string", "spaceId": "string", "updatedAt": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

spaceId

The ID of the space.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [0-9a-zA-Z-_=.+]+

SpaceSummaries

A list of space summaries that match the search criteria.

Type: Array of SpaceSummary objects

NextToken

The token for the next set of results, or null if there are no more results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 800.

RequestId

The AWS request ID for this operation.

Type: String

spaceArn

The ARN of the space.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 512.

Pattern: arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.

RequestId

The AWS request ID for this request.

HTTP Status Code: 401

InternalFailureException

An internal failure occurred.

RequestId

The AWS request ID for this request.

HTTP Status Code: 500

InvalidParameterValueException

One or more parameters has a value that isn't valid.

RequestId

The AWS request ID for this request.

HTTP Status Code: 400

ResourceNotFoundException

One or more resources can't be found.

RequestId

The AWS request ID for this request.

ResourceType

The resource type for this request.

HTTP Status Code: 404

ThrottlingException

Access is throttled.

RequestId

The AWS request ID for this request.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: